Bug 14606 - Performance issues with -webkit-box-shadow and -border-radius
Summary: Performance issues with -webkit-box-shadow and -border-radius
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://dscoder.com/so2/Contents/Resou...
Keywords: InRadar
Depends on:
Blocks: 22102
  Show dependency treegraph
 
Reported: 2007-07-13 10:31 PDT by David Smith
Modified: 2009-04-18 23:48 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Smith 2007-07-13 10:31:10 PDT
The referenced page is rather slow when scrolling or resizing (maxes out my Core 2). Shark indicates that around 50% of the time is spent drawing shadows.
Comment 1 David Kilzer (:ddkilzer) 2007-07-14 15:33:05 PDT
<rdar://problem/5335842>
Comment 2 mitz 2007-07-14 15:39:05 PDT
The page has a static background, so it does a full repaint on scroll. With bug 13320 fixed, I do not see anything obvious that can be improved on the WebCore side.
Comment 3 Beth Dakin 2008-10-20 16:16:22 PDT
This actually seems way better in TOT than in shipping Safari on 10.5.5. I am tempted to say this is fixed, but I would like a second opinion. Dan, what do you think?
Comment 4 David Kilzer (:ddkilzer) 2009-04-18 18:58:05 PDT
Much better in WebKit nightly r42583.